# Content Warning v3
![License](https://img.shields.io/badge/License-GPLv2-orange.svg)
[![Issues](https://img.shields.io/github/issues/JayWood/content-warning-v3.svg)](https://git.oldgate.org/sophia/wp-cw/issues)

**Current Version:** 3.7.1
**Tested Up To:** 4.7.3  
**Author:** [Jay Wood](http://github.com/JayWood)
**Author URI:** ~~http://plugish.com~~
**License:** GPLv2+

A WordPress Plugin to allow site owners to display an acceptance dialog to their users and have that follow them throughout the site.  This plugin allows you to do redirect users if they decline,
and show popups only on single posts, pages, or categories.  ie. if a user accepts on `Post A`, but no `Post B`, you can force them to accept on a per-post/page/category basis.  You can also set
the popup to site-wide, meaning the first time they accept, they will not see it again.

This plugin allows you to do the following:

* Gate Individual Posts
* Gate Individual Pages
* Gate Individual Categories
* Specify cookie time ( in days ) - or just for the browser session
* Block or redirect users who previously denied your terms.
* Customize enter & exit links
* Customize the message, enter, and exit text
* Customize the CSS in the settings page
* Customize the background color via a simple color selector, along with it's opacity
* Blanket protect misc. pages like search and archives

[Report an issue](https://git.oldgate.org/sophia/wp-cw/issues) | [Make a pull request](https://git.oldgate.org/sophia/wp-cw/pulls)
~~[Check the Youtube Video](https://www.youtube.com/watch?v=0_ZNojpYuwk)~~

**NOTE:**

> If the exit link is left empty, users will be redirected to google.

## Installation

### Easy Method

1. Download the zip file.
1. Login to your `Dashboard`
1. Open your plugins bar and click `Add New`
1. Click the `upload tab`
1. Choose `content-warning-v2` from your downloads folder
1. Click `Install Now`
1. All done, now just activate the plugin
1. Go to CWv3 menu and configure
1. Save, and you're all good.

### Old Method

1. Upload `content-warning-v2` to the `/wp-content/plugins/` directory
1. Activate the plugin through the 'Plugins' menu in WordPress

## Frequently Asked Questions

This plugin is tested and proven to work with WordPress 3.4

### The plugin is broken, fix it

Please do not contact me with questions like this.  If you cannot be descriptive with your problem I cannot help you.

### I'm still seeing the dialog even after I clicked enter/exit

* If your browser does not have cookies enabled, the plugin will not store your response.
* Also, if you're using google chrome, this is a bug that unfortunately I have been unable to squash.  Hitting F5 or refresh will fix it.
